List stored actions
curl --request GET \
--url https://api.zapier.com/actions/v1/stored-actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/actions/v1/stored-actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/actions/v1/stored-actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"type": "stored_action",
"id": "01932123-02ea-01fc-3fbd-4d66d944064d",
"connection_id": "019320ab-0000-7000-8000-abcdef012345",
"selected_api": "SplitwiseCLIAPI@1.0.0",
"action_key": "new_contact",
"action_type": "read",
"inputs": {
"first_name": "John",
"last_name": "Doe"
}
}
],
"meta": {
"limit": 1,
"offset": 0,
"count": 1
},
"links": {
"next": null
}
}{
"errors": [
{
"status": 400,
"code": "bad_request",
"title": "Bad Request",
"detail": "Improperly formatted or incompleted request",
"source": null,
"meta": {}
}
]
}{
"errors": [
{
"status": 403,
"code": "permission_denied",
"detail": "User does not have enough permissions to perform action"
}
]
}{
"errors": [
{
"status": 429,
"code": "too_many_requests",
"detail": "Rate limit exceeded. Too many requests."
}
]
}{
"errors": [
{
"status": 500,
"code": "external_service_error",
"detail": "An error occurred with an external service."
}
]
}{
"errors": [
{
"status": 503,
"code": "service_unavaiable",
"detail": "Service is temporarily unavailable"
}
]
}Stored Actions
List stored actions
Stored Actions endpoints handle the creation, execution, updates, and deletions of single created actions.
GET
/
actions
/
v1
/
stored-actions
List stored actions
Authorizations
OAuth 2.0 authentication.
Response
Success: Includes all the Stored Actions for the caller. This could be an empty list.
Was this page helpful?
⌘I